Skip to main content
POST
/
instagram
/
scheduled_posts
Create an Instagram post
curl --request POST \
  --url https://scheduler.dashsocial.com/instagram/scheduled_posts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "brand_id": 1,
  "auto_publish": true,
  "caption": "<string>",
  "media_ids": [
    1
  ],
  "timestamp": "2023-11-07T05:31:56Z",
  "first_comment": "<string>",
  "story_link": "<string>",
  "share_to_feed": true,
  "user_tags": [
    {
      "username": "<string>",
      "media_id": null,
      "x": 0.5,
      "y": 0.5
    }
  ],
  "collaborators": [
    {
      "username": "<string>"
    }
  ],
  "cover_image_media_id": 123,
  "location_id": "<string>",
  "alt_text_media_map": {},
  "approval_requests": [
    {
      "requested_by_user_id": 123,
      "review_user_id": 123
    }
  ],
  "board_ids": [
    1
  ],
  "callback_socket_id": "<string>",
  "campaign_ids": [
    1
  ],
  "content_tag_ids": [
    1
  ],
  "duplicate_to_brand_ids": [
    1
  ],
  "post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "shopping_tags": [
    {
      "fb_product_id": "<string>",
      "x": 0.5,
      "y": 0.5,
      "catalog_id": "<string>",
      "image_url": "<string>",
      "media_id": null,
      "title": "<string>"
    }
  ],
  "sort_index": 123,
  "thumb_offset": 123,
  "thumbnail_url": "<string>"
}
'
{
  "brand_id": 1,
  "auto_publish": true,
  "caption": "<string>",
  "media_ids": [
    1
  ],
  "timestamp": "2023-11-07T05:31:56Z",
  "first_comment": "<string>",
  "story_link": "<string>",
  "share_to_feed": true,
  "user_tags": [
    {
      "username": "<string>",
      "media_id": null,
      "x": 0.5,
      "y": 0.5
    }
  ],
  "collaborators": [
    {
      "username": "<string>"
    }
  ],
  "cover_image_media_id": 123,
  "location_id": "<string>",
  "alt_text_media_map": {},
  "approval_requests": [
    {
      "brand_id": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "id": 123,
      "post_id": 123,
      "requested_by_user_id": 123,
      "review_user_id": 123,
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "approval_status": "<string>",
  "board_ids": [
    1
  ],
  "callback_socket_id": "<string>",
  "campaign_ids": [
    1
  ],
  "content_tag_ids": [
    1
  ],
  "cover_image_media": {},
  "created_at": "2023-11-07T05:31:56Z",
  "has_invalid_product_tags": true,
  "has_scheduled_time": true,
  "id": 1,
  "invalid_collaborators": [
    "<string>"
  ],
  "invalid_location": {
    "id": "<string>",
    "is_verified": true,
    "link": "<string>",
    "location": {},
    "name": "<string>"
  },
  "invalid_user_tags": [
    "<string>"
  ],
  "live_post_url": "<string>",
  "location": {
    "id": "<string>",
    "is_verified": true,
    "link": "<string>",
    "location": {},
    "name": "<string>"
  },
  "media": [
    {}
  ],
  "num_of_approvals_required": 123,
  "post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "shopping_tags": [
    {
      "fb_product_id": "<string>",
      "x": 0.5,
      "y": 0.5,
      "catalog_id": "<string>",
      "image_url": "<string>",
      "media_id": null,
      "title": "<string>"
    }
  ],
  "sort_index": 123,
  "source_id": "<string>",
  "thumb_offset": 123,
  "thumbnail_url": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint has platform-specific fields and publishing rules. See the full scheduling guide for a complete walkthrough including media upload, publishing modes, and examples.

Instagram-specific fields

ParameterDescription
post_typeRequired. FEED, STORY, or REEL
captionPost caption text
first_commentOptional first comment (not supported when auto_publish: false)

Publishing modes

Modestatusauto_publishtimestamp
Publish immediatelyAUTOPUBLISHINGtrueNot required
Schedule for laterSCHEDULEDtrueRequired
Save as draftDRAFTtrue or falseOptional

Example request

{
  "auto_publish": true,
  "brand_id": 144,
  "status": "SCHEDULED",
  "caption": "Launching our new product today!",
  "first_comment": "Let us know what you think 👇",
  "media_ids": [621242772],
  "post_type": "FEED",
  "timestamp": "2026-03-10T15:00:00Z"
}

Notes

  • post_type determines whether the post is a FEED, STORY, or REEL.
  • first_comment is not supported when auto_publish is false.
  • Auto-publish posts must include media_ids.
  • POST, REEL, and STORY drafts can be created without media.
  • Instagram Post supports up to 10 media items (images and videos mixed). Reels support 1 video. Stories support 1 item for auto-publish.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
post_type
enum<string>
required

Type of Instagram Post to be published.

Available options:
FEED,
STORY,
REEL
brand_id
integer

The id of the brand to which the post belongs.

Required range: x >= 0
auto_publish
boolean

Whether the post should be auto published.

status
enum<string>

The current status of the post.

Available options:
AUTOPUBLISHING,
DRAFT,
EXPIRED,
FAILED,
IMPORTED,
MISSING_APPROVALS,
PARTIALLY_FAILED,
POSTED,
SCHEDULED,
SKIPPED,
USERS_NOTIFIED
caption
string

Text content of the post.

media_ids
integer[]

The list of the media ids attached to the post.

Required range: x >= 0
timestamp
string<date-time> | null

The scheduled date & time for publishing the post.

first_comment
string

The first comment to be auto published for the post.

story_link
string<url> | null

Link to be added to the post when publishing natively.

share_to_feed
boolean | null

Whether a Reel should be published to the Instagram Feed.

user_tags
object[]

Array of public usernames and x/y coordinates for any public Instagram users to be tagged in an image.

collaborators
object[]

List of collaborators to be auto published with the post.

cover_image_media_id
integer | null

The ID of the media which will be published as a Reel cover image.

location_id
string | null

Facebook ID of the location tagged in the post

alt_text_media_map
object

Mapping for the alt text of media in the post

approval_policy
enum<string>

The approval policy of the approval request

Available options:
APPROVAL_REQUIRED,
APPROVAL_NOT_REQUIRED
approval_requests
object[]

The list of approval requests associated with the post.

board_ids
integer[]

The list of the board ids associated with the post.

Required range: x >= 0
callback_socket_id
string

Used to update the post in the DH user interface.

campaign_ids
integer[]

The list of the campaign ids associated with the post.

Required range: x >= 0
content_tag_ids
integer[]

The list of the content tag ids associated with the post.

Required range: x >= 0
creation_source
enum<string>

To identify the user or the application that created the post.

Available options:
RSS_FEED
duplicate_to_brand_ids
integer[]
write-only

The list of duplicate to brand ids.

Maximum array length: 55
Required range: x >= 0
post_group_id
string<uuid>

The id of the post group associated with the post.

shopping_tags
object[]

List of shopping tags to be auto published with the post.

sort_index
number

The sorted index for unscheduled posts.

thumb_offset
integer | null

Location in milliseconds of the video frame to be used as the published cover thumbnail image.

thumbnail_url
string<url> | null

Image URL to be displayed as a thumbnail in the DH user interface.

Response

Created

post_type
enum<string>
required

Type of Instagram Post to be published.

Available options:
FEED,
STORY,
REEL
brand_id
integer

The id of the brand to which the post belongs.

Required range: x >= 0
auto_publish
boolean

Whether the post should be auto published.

status
enum<string>

The current status of the post.

Available options:
AUTOPUBLISHING,
DRAFT,
EXPIRED,
FAILED,
IMPORTED,
MISSING_APPROVALS,
PARTIALLY_FAILED,
POSTED,
SCHEDULED,
SKIPPED,
USERS_NOTIFIED
caption
string

Text content of the post.

media_ids
integer[]

The list of the media ids attached to the post.

Required range: x >= 0
timestamp
string<date-time> | null

The scheduled date & time for publishing the post.

first_comment
string

The first comment to be auto published for the post.

story_link
string<url> | null

Link to be added to the post when publishing natively.

share_to_feed
boolean | null

Whether a Reel should be published to the Instagram Feed.

user_tags
object[]

Array of public usernames and x/y coordinates for any public Instagram users to be tagged in an image.

collaborators
object[]

List of collaborators to be auto published with the post.

cover_image_media_id
integer | null

The ID of the media which will be published as a Reel cover image.

location_id
string | null

Facebook ID of the location tagged in the post

alt_text_media_map
object

Mapping for the alt text of media in the post

approval_policy
enum<string>

The approval policy of the approval request

Available options:
APPROVAL_REQUIRED,
APPROVAL_NOT_REQUIRED
approval_requests
object[]

The list of approval requests associated with the post.

approval_status
string
read-only

The approval status of the post.

auto_publish_error
enum<string>
read-only
Available options:
ACCOUNT_RESTRICTED,
AGAINST_COMMUNITY_STANDARDS,
APPROVED_PUBLISHING_DATES_HAVE_NO_OVERLAP,
AUTO_PUBLISH_LIMIT_EXCEEDED,
DUPLICATE_POST,
FLAGGED_AS_SPAM,
INTERNAL,
INVALID_ACCOUNT_TYPE,
INVALID_AUTH,
INVALID_DESCRIPTION,
INVALID_IMAGE,
INVALID_PIN_BOARD,
INVALID_PRODUCT_TAGS,
INVALID_TARGETING,
INVALID_TITLE,
INVALID_VIDEO_THUMBNAIL,
MEDIA_CONTAINER_EXPIRED,
MISSING_AUTH,
OUTSIDE_OF_APPROVED_PUBLISHING_DATES,
PAGE_PUBLISHING_AUTH_REQUIRED,
PLATFORM_ERROR,
REJECTED,
TEXT_LENGTH_EXCEEDED
board_ids
integer[]

The list of the board ids associated with the post.

Required range: x >= 0
callback_socket_id
string

Used to update the post in the DH user interface.

campaign_ids
integer[]

The list of the campaign ids associated with the post.

Required range: x >= 0
content_tag_ids
integer[]

The list of the content tag ids associated with the post.

Required range: x >= 0
cover_image_media
object
read-only

The media to be published as a Reel cover image.

created_at
string<date-time>
read-only

The time when the post was created.

creation_source
enum<string>

To identify the user or the application that created the post.

Available options:
RSS_FEED
first_comment_status
enum<string>
read-only
Available options:
SUCCESS,
FAILED
has_invalid_product_tags
boolean
read-only

Identifies a post that was unable to be published with product tags.

has_scheduled_time
boolean
read-only

Indicates if the post has a scheduled timestamp

id
integer
read-only

A unique id for the post.

Required range: x >= 0
invalid_collaborators
string[]
read-only

Collaborators that failed to be auto published with the post.

invalid_location
object

Location that failed to be auto published with the post.

invalid_user_tags
string[]
read-only

User tags that failed to be auto published with the post.

live_post_url
string<url>
read-only

Link to the live published post.

location
object

Location data fetched from Meta API by location_id

media
object[]
read-only

The list of media attached to the post.

num_of_approvals_required
integer
read-only

The number of approvals required to approve the request.

post_group_id
string<uuid>

The id of the post group associated with the post.

shopping_tags
object[]

List of shopping tags to be auto published with the post.

sort_index
number

The sorted index for unscheduled posts.

source_id
string | null
read-only
thumb_offset
integer | null

Location in milliseconds of the video frame to be used as the published cover thumbnail image.

thumbnail_url
string<url> | null

Image URL to be displayed as a thumbnail in the DH user interface.

updated_at
string<date-time>
read-only

The time when the post was last updated.